# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.012.
use strict;
use warnings;

use 5.010;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Evaluate within a caller environment",
  "AUTHOR" => "Stephan Loyd <sloyd\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Eval-Quosure",
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.010",
  "NAME" => "Eval::Quosure",
  "PREREQ_PM" => {
    "List::Util" => "1.28",
    "PadWalker" => "2.3",
    "Safe::Isa" => "1.000009",
    "Sub::Quote" => "2.005",
    "Type::Params" => "1.004004",
    "Types::Standard" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Test2::V0" => 0
  },
  "VERSION" => "0.001001",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "List::Util" => "1.28",
  "PadWalker" => "2.3",
  "Safe::Isa" => "1.000009",
  "Sub::Quote" => "2.005",
  "Test2::V0" => 0,
  "Type::Params" => "1.004004",
  "Types::Standard" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);